/**
 * Copyright (C) 2014 Hal Hildebrand. All rights reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as 
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.chiralbehaviors.CoRE;

import java.util.Properties;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.junit.BeforeClass;
import org.junit.Test;

import com.chiralbehaviors.CoRE.agency.Agency;

/**
 * @author hhildebrand
 * 
 */
public class DrinkMeTest {
    protected static EntityManager em;

    @BeforeClass
    public static void setup() throws Exception {

        Properties properties = new Properties();
        properties.load(DrinkMeTest.class.getResourceAsStream("/jpa.properties"));
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("inheritence-test",
                                                                          properties);
        em = emf.createEntityManager();
    }

    @Test
    public void inheritenceTest() {
        em.getTransaction().begin();
        Agency core = new Agency("CoRE");
        core.setUpdatedBy(core);
        em.persist(core);
        em.getTransaction().commit();
    }

}
